Skip to main content
GET
/
api
/
v2
/
lead-lists
/
{id}
Get lead list
curl --request GET \
  --url https://api.instantly.ai/api/v2/lead-lists/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "019e3bd1-8ddb-783d-bff6-eb3dd3bb0b15",
  "organization_id": "019e3bd1-8ddb-783d-bff6-eb3e7b0325c4",
  "name": "My Lead List",
  "timestamp_created": "2026-05-18T16:00:49.627Z",
  "has_enrichment_task": false,
  "owned_by": "019e3bd1-8ddb-783d-bff6-eb3f15749b3c"
}

Documentation Index

Fetch the complete documentation index at: https://developer.instantly.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The ID of the requested item

Example:

"019e3bd1-b5c6-79f5-b7fc-974d4601ce97"

Response

The requested Lead List

A list used to store leads

id
string<uuid>
required
read-only

Unique identifier for the lead list

Example:

"019e3bd1-8ddb-783d-bff6-eb3dd3bb0b15"

organization_id
string<uuid>
required
read-only

Organization ID that owns this lead list

Example:

"019e3bd1-8ddb-783d-bff6-eb3e7b0325c4"

name
string
required

Name of the lead list

Example:

"My Lead List"

timestamp_created
string<date-time>
required
read-only

Timestamp when the lead list was created

Example:

"2026-05-18T16:00:49.627Z"

has_enrichment_task
null | boolean

Whether this list runs the enrichment process on every added lead or not

Example:

false

owned_by
null | string<uuid>

User ID of the owner of this lead list. Defaults to the user that created the list

Example:

"019e3bd1-8ddb-783d-bff6-eb3f15749b3c"